Main Page Class Hierarchy Compound List File List Compound Members File Members

# CMFCDialogModuleBase Class Reference

`#include <mfc_dlog_modl_base.h>`

Inheritance diagram for CMFCDialogModuleBase:

List of all members.

## Public Member Functions
UINT | StartWorkerThread ()
| CMFCDialogModuleBase ()
virtual | ~CMFCDialogModuleBase ()
## Protected Member Functions
HANDLE_STATUS | HandleConfigLine (ConfigSource *p_parser)
void | CheckConfig ()
bool | PrepApp (const char *p_configfilename)
bool | InitApp ()
virtual bool | BeforeMessage ()
virtual bool | HandleMessage (const MSG_LOGO p_msglogo, const char *p_msg)
void | SendStatus (WORM_MSGTYPE_ID p_type, short p_ierr=0, const char *p_text=NULL)
void | HeartBeat ()
UINT | StatusAndReadLoop ()
virtual bool | CheckForFatal ()
## Protected Attributes
TGlobalUtils * | MyGlobalUtils
WORM_MSGTYPE_ID | TYPE_ERROR
WORM_MSGTYPE_ID | TYPE_HEARTBEAT
WORM_RING_NAME | CommandRingName
WORM_RING_ID | CommandRingKey
SHM_INFO | CommandRegion
WORM_RING_NAME | InputRingName
WORM_RING_ID | InputRingKey
SHM_INFO | InputRegion
MSG_LOGO | AcceptLogo [SERVE_MAX_LOGOS]
short | AcceptLogoCount
CWinThread * | StatusThread
## Private Attributes
int | MaxMessageLength
char * | MessageBuffer

## Constructor & Destructor Documentation

CMFCDialogModuleBase::CMFCDialogModuleBase | ( |  | ) |

| Definition at line 21 of file mfc_dlog_modl_base.cpp. References AcceptLogoCount, SHM_INFO::addr, CommandRegion, CommandRingKey, InputRegion, InputRingKey, MaxMessageLength, MessageBuffer, MyGlobalUtils, and WORM_RING_INVALID.

CMFCDialogModuleBase::~CMFCDialogModuleBase | ( |  | ) | `[virtual]`

| Definition at line 34 of file mfc_dlog_modl_base.cpp. References SHM_INFO::addr, CommandRegion, CommandRingKey, InputRegion, InputRingKey, MessageBuffer, MyGlobalUtils, and tport_detach().

## Member Function Documentation

bool CMFCDialogModuleBase::BeforeMessage | ( |  | ) | `[protected, virtual]`

| Definition at line 410 of file mfc_dlog_modl_base.cpp. Referenced by StatusAndReadLoop().

void CMFCDialogModuleBase::CheckConfig | ( |  | ) | `[protected, virtual]`

| Reimplemented from TConfigurable. Definition at line 296 of file mfc_dlog_modl_base.cpp. References AcceptLogoCount, CommandRingKey, TConfigurable::ConfigState, TGlobalUtils::GetHeartbeatInt(), TGlobalUtils::GetLoggingLevel(), TConfigurable::IsReady(), CMFCDialogAppBase::LoggingLevel, TLogger::Logit(), TGlobalUtils::LookupMessageTypeId(), MaxMessageLength, MyGlobalUtils, TYPE_ERROR, TYPE_HEARTBEAT, WORM_MSGTYPE_INVALID, WORM_RING_INVALID, and WORM_STAT_BADSTATE.

virtual bool CMFCDialogModuleBase::CheckForFatal | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 205 of file mfc_dlog_modl_base.h. Referenced by StatusAndReadLoop().

HANDLE_STATUS CMFCDialogModuleBase::HandleConfigLine | ( | ConfigSource * | p_parser | ) | `[protected, virtual]`

| Reimplemented from TConfigurable. Definition at line 137 of file mfc_dlog_modl_base.cpp. References AcceptLogo, AcceptLogoCount, CommandRingKey, ConfigSource::GetCurrentLine(), HANDLE_STATUS, TGlobalUtils::HandleConfigLine(), HANDLER_INVALID, HANDLER_UNUSED, HANDLER_USED, InputRingKey, ConfigSource::Int(), ConfigSource::Its(), TLogger::Logit(), TGlobalUtils::LookupInstallationId(), TGlobalUtils::LookupMessageTypeId(), TGlobalUtils::LookupModuleId(), TGlobalUtils::LookupRingKey(), MaxMessageLength, MyGlobalUtils, SERVE_MAX_LOGOS, ConfigSource::String(), and WORM_RING_INVALID.

virtual bool CMFCDialogModuleBase::HandleMessage | ( | const MSG_LOGO | p_msglogo,
|  | const char * | p_msg
| ) | `[inline, protected, virtual]`

| Definition at line 174 of file mfc_dlog_modl_base.h. Referenced by StatusAndReadLoop().

void CMFCDialogModuleBase::HeartBeat | ( |  | ) | `[protected]`

| Definition at line 667 of file mfc_dlog_modl_base.cpp. References TGlobalUtils::GetHeartbeatInt(), and SendStatus().

bool CMFCDialogModuleBase::InitApp | ( |  | ) | `[protected, virtual]`

| Reimplemented from CMFCDialogAppBase. Definition at line 372 of file mfc_dlog_modl_base.cpp. References TLogger::Logit(), TTimeFuncs::MSecSleep(), and StatusThread.

bool CMFCDialogModuleBase::PrepApp | ( | const char * | p_configfilename | ) | `[protected, virtual]`

| Reimplemented from CMFCDialogAppBase. Definition at line 66 of file mfc_dlog_modl_base.cpp. References EW_CONFIG_DIR, TGlobalUtils::GetEnvironmentValue(), TGlobalUtils::GetLoggingLevel(), CMFCDialogAppBase::LoggingLevel, TLogger::Logit(), MyGlobalUtils, and WORM_CONFIG_DIR.

void CMFCDialogModuleBase::SendStatus | ( | WORM_MSGTYPE_ID | p_type,
|  | short | p_ierr = 0,
|  | const char * | p_text = NULL
| ) | `[protected]`

| Definition at line 685 of file mfc_dlog_modl_base.cpp. References SHM_INFO::addr, CommandRegion, TGlobalUtils::GetThisInstallationId(), TGlobalUtils::GetThisModuleId(), MSG_LOGO::instid, CMFCDialogAppBase::LoggingLevel, TLogger::Logit(), MSG_LOGO::mod, PUT_OK, CMFCDialogAppBase::Running, tport_putmsg(), MSG_LOGO::type, TYPE_ERROR, TYPE_HEARTBEAT, and WORM_LOG_DEBUG. Referenced by HeartBeat(), and StatusAndReadLoop().

UINT CMFCDialogModuleBase::StartWorkerThread | ( |  | ) | `[virtual]`

| Reimplemented from CMFCDialogAppBase. Definition at line 414 of file mfc_dlog_modl_base.cpp. References StatusAndReadLoop().

UINT CMFCDialogModuleBase::StatusAndReadLoop | ( |  | ) | `[protected]`

| Definition at line 421 of file mfc_dlog_modl_base.cpp. References AcceptLogo, AcceptLogoCount, BeforeMessage(), CheckForFatal(), CommandRingKey, GET_MISS, GET_MISS_LAPPED, GET_MISS_SEQGAP, GET_NONE, GET_NOTRACK, GET_OK, GET_TOOBIG, TGlobalUtils::GetHeartbeatInt(), CMFCDialogAppBase::GetMainWindow(), TGlobalUtils::GetPID(), HandleMessage(), InputRingKey, MSG_LOGO::instid, TLogger::Logit(), TGlobalUtils::LookupInstallationId(), TGlobalUtils::LookupMessageTypeId(), TGlobalUtils::LookupModuleId(), MaxMessageLength, MessageBuffer, MSG_LOGO::mod, TTimeFuncs::MSecSleep(), CMFCDialogAppBase::Running, SendStatus(), TERMINATE, tport_attach(), tport_getflag(), tport_getmsg(), MSG_LOGO::type, WORM_RING_INVALID, and WORM_STAT_FAILURE. Referenced by StartWorkerThread().

## Member Data Documentation

MSG_LOGO CMFCDialogModuleBase::AcceptLogo[SERVE_MAX_LOGOS]`[protected]`

| Definition at line 164 of file mfc_dlog_modl_base.h. Referenced by HandleConfigLine(), and StatusAndReadLoop().

short CMFCDialogModuleBase::AcceptLogoCount`[protected]`

| Definition at line 165 of file mfc_dlog_modl_base.h. Referenced by CheckConfig(), CMFCDialogModuleBase(), HandleConfigLine(), and StatusAndReadLoop().

SHM_INFO CMFCDialogModuleBase::CommandRegion`[protected]`

| Definition at line 157 of file mfc_dlog_modl_base.h. Referenced by CMFCDialogModuleBase(), SendStatus(), and ~CMFCDialogModuleBase().

WORM_RING_ID CMFCDialogModuleBase::CommandRingKey`[protected]`

| Definition at line 156 of file mfc_dlog_modl_base.h. Referenced by CheckConfig(), CMFCDialogModuleBase(), HandleConfigLine(), StatusAndReadLoop(), and ~CMFCDialogModuleBase().

WORM_RING_NAME CMFCDialogModuleBase::CommandRingName`[protected]`

| Definition at line 155 of file mfc_dlog_modl_base.h.

SHM_INFO CMFCDialogModuleBase::InputRegion`[protected]`

| Definition at line 162 of file mfc_dlog_modl_base.h. Referenced by CMFCDialogModuleBase(), and ~CMFCDialogModuleBase().

WORM_RING_ID CMFCDialogModuleBase::InputRingKey`[protected]`

| Definition at line 161 of file mfc_dlog_modl_base.h. Referenced by CMFCDialogModuleBase(), HandleConfigLine(), StatusAndReadLoop(), and ~CMFCDialogModuleBase().

WORM_RING_NAME CMFCDialogModuleBase::InputRingName`[protected]`

| Definition at line 160 of file mfc_dlog_modl_base.h.

int CMFCDialogModuleBase::MaxMessageLength`[private]`

| Definition at line 149 of file mfc_dlog_modl_base.h. Referenced by CheckConfig(), CMFCDialogModuleBase(), HandleConfigLine(), and StatusAndReadLoop().

char* CMFCDialogModuleBase::MessageBuffer`[private]`

| Definition at line 150 of file mfc_dlog_modl_base.h. Referenced by CMFCDialogModuleBase(), StatusAndReadLoop(), and ~CMFCDialogModuleBase().

TGlobalUtils* CMFCDialogModuleBase::MyGlobalUtils`[protected]`

| Definition at line 142 of file mfc_dlog_modl_base.h. Referenced by CheckConfig(), CMFCDialogModuleBase(), HandleConfigLine(), PrepApp(), and ~CMFCDialogModuleBase().

CWinThread* CMFCDialogModuleBase::StatusThread`[protected]`

| Definition at line 179 of file mfc_dlog_modl_base.h. Referenced by InitApp().

WORM_MSGTYPE_ID CMFCDialogModuleBase::TYPE_ERROR`[protected]`

| Definition at line 145 of file mfc_dlog_modl_base.h. Referenced by CheckConfig(), and SendStatus().

WORM_MSGTYPE_ID CMFCDialogModuleBase::TYPE_HEARTBEAT`[protected]`

| Definition at line 145 of file mfc_dlog_modl_base.h. Referenced by CheckConfig(), and SendStatus().

The documentation for this class was generated from the following files:

- mfc_dlog_modl_base.h
- mfc_dlog_modl_base.cpp